ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Stg.InferTags.TagSig

Synopsis

- type StgCgInfos = NameEnv TagSig
- newtype TagSig = TagSig TagInfo
- data TagInfo
  - = TagDunno
  - | TagTuple [TagInfo]
  - | TagProper
  - | TagTagged
- isTaggedSig :: TagSig -> Bool
- seqTagSig :: TagSig -> ()
- seqTagInfo :: TagInfo -> ()

# Documentation

type StgCgInfos = NameEnv TagSig #

Information to be exposed in interface files which is produced by the stg2stg passes.

newtype TagSig #

Constructors

TagSig TagInfo |

#### Instances

Instances details

Binary TagSig # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods put_ :: BinHandle -> TagSig -> IO () # put :: BinHandle -> TagSig -> IO (Bin TagSig) # get :: BinHandle -> IO TagSig #
Outputable TagSig # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods ppr :: TagSig -> SDoc #
Eq TagSig # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods (==) :: TagSig -> TagSig -> Bool # (/=) :: TagSig -> TagSig -> Bool #
OutputableBndr (Id, TagSig) # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods pprBndr :: BindingSite -> (Id, TagSig) -> SDoc # pprPrefixOcc :: (Id, TagSig) -> SDoc # pprInfixOcc :: (Id, TagSig) -> SDoc # bndrIsJoin_maybe :: (Id, TagSig) -> JoinPointHood #

data TagInfo #

Constructors

TagDunno |
TagTuple [TagInfo] |
TagProper |
TagTagged |

#### Instances

Instances details

Binary TagInfo # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods put_ :: BinHandle -> TagInfo -> IO () # put :: BinHandle -> TagInfo -> IO (Bin TagInfo) # get :: BinHandle -> IO TagInfo #
Outputable TagInfo # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods ppr :: TagInfo -> SDoc #
Eq TagInfo # |
Instance details Defined in GHC.Stg.InferTags.TagSig Methods (==) :: TagInfo -> TagInfo -> Bool # (/=) :: TagInfo -> TagInfo -> Bool #

isTaggedSig :: TagSig -> Bool #

seqTagSig :: TagSig -> () #

seqTagInfo :: TagInfo -> () #